FinalApplicationStatus (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: FinalApplicationStatus

Package org.apache.hadoop.yarn.api.records

# Enum Class FinalApplicationStatus

java.lang.Object
java.lang.Enum<FinalApplicationStatus>
org.apache.hadoop.yarn.api.records.FinalApplicationStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<FinalApplicationStatus>`, `Constable`

@Public @Stable public enum FinalApplicationStatus extends Enum<FinalApplicationStatus>
Enumeration of various final states of an `Application`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENDED`
  Application which has subtasks with multiple end states.
  `FAILED`
  Application which failed.
  `KILLED`
  Application which was terminated by a user or admin.
  `SUCCEEDED`
  Application which finished successfully.
  `UNDEFINED`
  Undefined state when either the application has not yet finished

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FinalApplicationStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FinalApplicationStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNDEFINED

    public static final FinalApplicationStatus UNDEFINED
    Undefined state when either the application has not yet finished

  - ### SUCCEEDED

    public static final FinalApplicationStatus SUCCEEDED
    Application which finished successfully.

  - ### FAILED

    public static final FinalApplicationStatus FAILED
    Application which failed.

  - ### KILLED

    public static final FinalApplicationStatus KILLED
    Application which was terminated by a user or admin.

  - ### ENDED

    public static final FinalApplicationStatus ENDED
    Application which has subtasks with multiple end states.

- ## Method Details

  - ### values

    public static FinalApplicationStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FinalApplicationStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null